# Defold Druid UI Library

# Module `Checkbox`

Druid checkbox component

## Functions

get_state(self) | Return checkbox state
init(self, node, callback[, click_node=node[, initial_state=false]]) | Component init function
set_state(self, state, is_silent, is_instant) | Set checkbox state

## Tables

style | Component style params.

## Fields

button | Button component from click_node
click_node | Button trigger node
node | Visual node
on_change_state | On change state callback(self, state)

## Functions

get_state(self)
  Return checkbox state

  ### Parameters:

  - self Checkbox Checkbox

  ### Returns:

  bool Checkbox state
init(self, node, callback[, click_node=node[, initial_state=false]])
  Component init function

  ### Parameters:

  - self Checkbox Checkbox
  - node node Gui node
  - callback function Checkbox callback
  - click_node node Trigger node, by default equals to node (default node)
  - initial_state boolean The initial state of checkbox, default - false (default false)
set_state(self, state, is_silent, is_instant)
  Set checkbox state

  ### Parameters:

  - self Checkbox Checkbox
  - state bool Checkbox state
  - is_silent bool Don't trigger on_change_state if true
  - is_instant bool If instant checkbox change

## Tables

style
  Component style params. You can override this component styles params in druid styles table or create your own style

  ### Fields:

  - on_change_state function (self, node, state)

## Fields

button
  Button component from click_node
  - button Button Button
click_node
  Button trigger node
  - click_node node (default node)
node
  Visual node
  - node node
on_change_state
  On change state callback(self, state)
  - on_change_state DruidEvent DruidEvent

generated by LDoc TESTING Last updated 2015-01-01 12:00:00